GuideLab API

Reorder Receiving Sources

Reorder receiving sources within a category by providing an ordered array of source IDs. Validates all sources belong to the specified category.

POST
/receiving-sources/reorder

Reorder receiving sources within a category by providing an ordered array of source IDs. Validates all sources belong to the specified category.

Authorization

__Secure-guidelab-prod.session_token<token>

Production session cookie set for the guidelab.co domain by Better Auth

In: cookie

Request Body

application/json

TypeScript Definitions

Use the request body type in TypeScript.

Response Body

application/json

curl -X POST "https://example.com/receiving-sources/reorder" \  -H "Content-Type: application/json" \  -d '{    "categoryId": "string",    "sourceIds": [      "string"    ]  }'
{  "success": true}
Empty
Empty
Empty